Subject: Re: update-index --assume-unchanged doesn't make things go fast

From: Jakub Narebski <[email-masked]>
Date: Fri, 27 Jun 2008 10:31:53 -0700 (PDT)

"Avery Pennarun" <[email-masked]> writes:
> On 6/26/08, Stephen R. van den Berg <[email-masked]> wrote:
>> Avery Pennarun wrote:
>>>
>>> 1) What's a sensible way to tell git to *not* opendir() specific
>>> directories to look for unexpected files in "git status"?  (I don't
>>> think I know enough to implement this myself.)
>>
>> Would checking the mtime on the directory itself help?
> 
> I'm guessing it would help somewhat (although not as much as not
> checking anything at all).  However, we'd still have to check the
> mtime *against* something, and I don't think the index stores
> information about directories themselves.

By the way, from time to time there on this mailing list is idea
to add entries for directories in the index.  This could help situation
like yours, tracking emty directories, faster operations when some trees
are unchanged, subtree <-> subproject changes.

But it always comes back to: 1.) no proposed implementation, 2.) "git
tracks contents"...

-- 
Jakub Narebski
Poland
ShadeHawk on #git